Bug 214983 - Orphaned directory after uninstalling kernel debug info package
Orphaned directory after uninstalling kernel debug info package
Product: Fedora
Classification: Fedora
Component: filesystem (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Ondrej Vasik
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2006-11-10 09:23 EST by Joachim Frieben
Modified: 2009-07-09 06:14 EDT (History)
2 users (show)

See Also:
Fixed In Version: filesystem-2.4.23-1.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-07-09 06:14:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Joachim Frieben 2006-11-10 09:23:25 EST
Description of problem:
After uninstalling "kernel-debuginfo-common-2.6.18-1.2835.fc6" and
"kernel-debuginfo-2.6.18-1.2835.fc6", there still exists a directory
According to "rpm -qf usr/src/debug/kernel-2.6.18", it isn't owned
by any package.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Install ""
2. Uninstall ""
3. Check content of "/usr/src"
Actual results:
Directory "debug/kernel-2.6.18" left over.

Expected results:
Directory "debug" is empty.

Additional info:
Directories "/usr/src/debug" and "/usr/src/kernels" aren't owned
by any package either.
Comment 1 Joachim Frieben 2006-11-10 09:37:27 EST
Steps to Reproduce:
1. Install "kernel-debuginfo-common-2.6.18-1.2835.fc6.i686.rpm"
2. Uninstall "kernel-debuginfo-common-2.6.18-1.2835.fc6.i686.rpm"
Comment 2 Bug Zapper 2008-04-03 14:36:17 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 3 Joachim Frieben 2008-04-05 01:42:11 EDT
No directory /usr/src/debug/kernel-2.6.24 is left behind after uninstalling
package kernel-debuginfo-common-2.6.25-0.200.rc8.git3.fc9. However, there
are still directories /usr/src/debug and /usr/src/kernels present which are
not owned by any package:

  rpm -qf /usr/src/*
  file /usr/src/debug is not owned by any package
  file /usr/src/kernels is not owned by any package

Should I open a new bug report for that issue?
Comment 4 Chuck Ebbert 2008-04-27 00:56:04 EDT

should be part if the filesystem package.
Comment 5 Bug Zapper 2008-05-13 22:27:51 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
Comment 6 Joachim Frieben 2009-01-13 17:03:00 EST
Uninstalling kernel-debuginfo-common-2.6.28-3.fc10.x86_64 on a current F10 system w/updates leaves a previously non-existant directory /usr/src/debug which thus exclusively belongs to said package. Moreover:

  $ rpm -qf /usr/src/debug
  file /usr/src/debug is not owned by any package

whereas now 

  $ rpm -qf /usr/src/kernels
  filesystem-2.4.19-1.fc10.x86_64 .
Comment 7 Ondrej Vasik 2009-07-09 06:14:09 EDT
Added in  filesystem-2.4.23-1.fc12, I guess it's enough to add this dir just in rawhide. Closing RAWHIDE.

Note You need to log in before you can comment on or make changes to this bug.